Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
A module that allows you to declare real exception classes in Perl

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
t
Changes
Class.pm
LICENSE
MANIFEST
MANIFEST.SKIP
Makefile.PL
README

README

This module allows you to declare hierarchies of exception classes for
use in your code.  It also provides a simple exception class that it
uses as the default base class for all other exceptions.

You may choose to use another base class for your exceptions.
Regardless, the ability to declare all your exceptions at compile time
is a fairly useful trick and helps push people towards more structured
use of exceptions.

NOTE: This module requires Perl 5.005 or greater.

BUGS

** Perl5.6.0 and stack traces

Under Perl 5.6.0, there may be problems with stack traces.  I have
made the test suite pass under 5.6.0 because most of the module's
functionality works under 5.6.0.  Please don't email me asking why
your stack traces are screwed up, though.  Upgrade Perl or deal with
it.
Something went wrong with that request. Please try again.